/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package vista.sumKidsVista;

import Atxy2k.CustomTextField.RestrictedTextField;
import controlador.autorizacion.ctrValidacion;
import controlador.ctrlSunKidsClub.controladorSecretaria;
import controlador.dao.RepresentanteDao;
import controlador.tda.lista.ListaEnlazada;
import controlador.tda.lista.exception.PosicionException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import modelo.SumKids.Representantes;

/**
 *
 * @author Jose Yangari
 */
public class FrmRepresentante extends javax.swing.JFrame {

    private controladorSecretaria secretaria;
    private ListaEnlazada<Representantes> lP = new ListaEnlazada();

    /**
     * Creates new form FrmRepresentant
     */
    public FrmRepresentante() {
        initComponents();
        this.setTitle("Registar Representante");
        rsscalelabel.RSScaleLabel.setScaleLabel(jLabel8, "src/vista/imagenes/FondRE.jpeg");
        this.setLocationRelativeTo(null);
        // RestriccionTex();
    }

    public FrmRepresentante(controladorSecretaria s) {
        initComponents();
        this.setTitle("Registar Representante");
        this.secretaria = s;
        rsscalelabel.RSScaleLabel.setScaleLabel(jLabel8, "src/vista/imagenes/FondRE.jpeg");
        this.setLocationRelativeTo(null);
        // RestriccionTex();
    }

    public void limpiar() {
        txtApellido.setText("");
        txtNombre.setText("");
        txtIdentificacion.setText("");
        txtCelular.setText("");
        txtDireccion.setText("");
    }

    public void RestriccionTex() {
        RestrictedTextField i = new RestrictedTextField(txtIdentificacion);
        i.setLimit(10);
        i.setOnlyNums(true);
        RestrictedTextField n = new RestrictedTextField(txtNombre);
        n.setLimit(20);
        n.setOnlyText(true);
        RestrictedTextField a = new RestrictedTextField(txtApellido);
        a.setLimit(20);
        a.setOnlyText(true);
        RestrictedTextField c = new RestrictedTextField(txtCelular);
        c.setLimit(10);
        c.setOnlyNums(true);
        RestrictedTextField di = new RestrictedTextField(txtDireccion);
        di.setLimit(20);
    }

    public Boolean verificarCampos() {
        if (txtApellido.getText().isEmpty() || txtCelular.getText().isEmpty()
                || txtDireccion.getText().isEmpty() || txtIdentificacion.getText().isEmpty() || txtNombre.getText().isEmpty()) {
            JOptionPane.showMessageDialog(null, "Campos Vacíos", "ERROR", JOptionPane.ERROR_MESSAGE);
            return false;
        }
        return true;
    }

    public void Datos() {
        String apellidos = txtApellido.getText();
        String nombre = txtNombre.getText();
        String identificacion = null;
        String celular = txtCelular.getText();
        String direccion = txtDireccion.getText();
        Representantes r = new Representantes(apellidos, nombre, identificacion, celular, 'm', direccion);
    }

    public void verificarEditar() {
        if (tblRepresentante.getSelectedRow() >= 0) {
        } else {
            JOptionPane.showMessageDialog(null, "Fila no seleccionada");
        }
    }

//    public void listarEmpleado() {
//        rep.listRepre(tblRepresentante);
//    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jButton1 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        txtIdentificacion = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        btnEditar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        btnAtras = new javax.swing.JButton();
        jLabel12 = new javax.swing.JLabel();
        cmbGenero = new javax.swing.JComboBox<>();
        txtApellido = new javax.swing.JTextField();
        txtCelular = new javax.swing.JTextField();
        txtDireccion = new javax.swing.JTextField();
        txtNombre = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jComboBox1 = new javax.swing.JComboBox<>();
        txtBuscar = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblRepresentante = new javax.swing.JTable();
        btnBuscar = new javax.swing.JButton();
        cmdCerrar = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setUndecorated(true);

        jPanel1.setBackground(new java.awt.Color(204, 204, 255));
        jPanel1.setLayout(null);

        jPanel2.setBackground(new java.awt.Color(204, 204, 204));
        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 3), "Datos del Representante", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14))); // NOI18N
        jPanel2.setOpaque(false);
        jPanel2.setLayout(null);

        jButton1.setBackground(new java.awt.Color(153, 153, 153));
        jButton1.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/add.png"))); // NOI18N
        jButton1.setText("Guardar");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        jPanel2.add(jButton1);
        jButton1.setBounds(30, 270, 88, 30);

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel1.setText("Nombre:");
        jPanel2.add(jLabel1);
        jLabel1.setBounds(50, 40, 70, 17);

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel2.setText("Apellido:");
        jPanel2.add(jLabel2);
        jLabel2.setBounds(50, 80, 70, 17);

        jLabel3.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel3.setText("Identificación:");
        jPanel2.add(jLabel3);
        jLabel3.setBounds(50, 120, 100, 17);

        jLabel4.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel4.setText("Celular:");
        jPanel2.add(jLabel4);
        jLabel4.setBounds(50, 160, 70, 17);
        jPanel2.add(txtIdentificacion);
        txtIdentificacion.setBounds(160, 110, 150, 30);

        jLabel11.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel11.setText("Dirección:");
        jPanel2.add(jLabel11);
        jLabel11.setBounds(50, 240, 80, 17);

        btnEditar.setBackground(new java.awt.Color(153, 153, 153));
        btnEditar.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        btnEditar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/edit.png"))); // NOI18N
        btnEditar.setText("Editar");
        btnEditar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnEditarActionPerformed(evt);
            }
        });
        jPanel2.add(btnEditar);
        btnEditar.setBounds(170, 270, 110, 30);

        btnCancelar.setBackground(new java.awt.Color(153, 153, 153));
        btnCancelar.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        btnCancelar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/del.png"))); // NOI18N
        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        jPanel2.add(btnCancelar);
        btnCancelar.setBounds(320, 270, 120, 30);

        btnAtras.setBackground(new java.awt.Color(153, 153, 153));
        btnAtras.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        btnAtras.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/door.png"))); // NOI18N
        btnAtras.setText("Atrás");
        btnAtras.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAtrasActionPerformed(evt);
            }
        });
        jPanel2.add(btnAtras);
        btnAtras.setBounds(340, 220, 110, 30);

        jLabel12.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel12.setText("Genero:");
        jPanel2.add(jLabel12);
        jLabel12.setBounds(50, 200, 100, 17);

        cmbGenero.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "M", "F", "N" }));
        jPanel2.add(cmbGenero);
        cmbGenero.setBounds(160, 200, 50, 26);
        jPanel2.add(txtApellido);
        txtApellido.setBounds(160, 70, 150, 30);
        jPanel2.add(txtCelular);
        txtCelular.setBounds(160, 150, 150, 30);
        jPanel2.add(txtDireccion);
        txtDireccion.setBounds(160, 230, 150, 30);

        txtNombre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtNombreActionPerformed(evt);
            }
        });
        jPanel2.add(txtNombre);
        txtNombre.setBounds(160, 30, 150, 30);

        jPanel1.add(jPanel2);
        jPanel2.setBounds(20, 50, 480, 320);

        jLabel7.setFont(new java.awt.Font("Times New Roman", 1, 24)); // NOI18N
        jLabel7.setText("Administración de Representantes");
        jPanel1.add(jLabel7);
        jLabel7.setBounds(80, 10, 370, 29);

        jLabel6.setFont(new java.awt.Font("Times New Roman", 1, 18)); // NOI18N
        jLabel6.setText("Buscar:");
        jPanel1.add(jLabel6);
        jLabel6.setBounds(10, 390, 90, 21);

        jComboBox1.setFont(new java.awt.Font("Lucida Bright", 1, 14)); // NOI18N
        jComboBox1.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Identificacion", "Id" }));
        jPanel1.add(jComboBox1);
        jComboBox1.setBounds(100, 380, 110, 30);

        txtBuscar.setFont(new java.awt.Font("Lucida Bright", 1, 14)); // NOI18N
        jPanel1.add(txtBuscar);
        txtBuscar.setBounds(230, 380, 170, 30);

        jPanel3.setBackground(new java.awt.Color(204, 204, 204));
        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 3), "Datos Registrados", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14))); // NOI18N
        jPanel3.setOpaque(false);
        jPanel3.setLayout(null);

        tblRepresentante.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        tblRepresentante.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                tblRepresentanteMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(tblRepresentante);

        jPanel3.add(jScrollPane1);
        jScrollPane1.setBounds(16, 27, 488, 126);

        jPanel1.add(jPanel3);
        jPanel3.setBounds(10, 420, 520, 170);

        btnBuscar.setFont(new java.awt.Font("Lucida Bright", 1, 14)); // NOI18N
        btnBuscar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/find.png"))); // NOI18N
        btnBuscar.setText("Buscar");
        btnBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBuscarActionPerformed(evt);
            }
        });
        jPanel1.add(btnBuscar);
        btnBuscar.setBounds(420, 380, 100, 30);

        cmdCerrar.setBackground(new java.awt.Color(255, 255, 255));
        cmdCerrar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        cmdCerrar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/del.png"))); // NOI18N
        cmdCerrar.setToolTipText("Eliminar");
        cmdCerrar.setPreferredSize(new java.awt.Dimension(120, 25));
        cmdCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdCerrarActionPerformed(evt);
            }
        });
        jPanel1.add(cmdCerrar);
        cmdCerrar.setBounds(480, 0, 60, 30);

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/FondRE.jpeg"))); // NOI18N
        jPanel1.add(jLabel8);
        jLabel8.setBounds(0, 0, 550, 600);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 545, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 596, Short.MAX_VALUE)
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    public Representantes retorR() {

        String nombre = null;
        String apellidos = null;
        String identificacion = null;
        String celular = null;
        char g;
        String direccion = null;

        if (verificarCampos()) {
            ctrValidacion val = new ctrValidacion();

            nombre = txtNombre.getText().toUpperCase();
            apellidos = txtApellido.getText().toUpperCase();
            identificacion = txtIdentificacion.getText().toUpperCase();
            if (!identificacion.equals(null)) {
                if (!val.validarCedula(identificacion)) {
                    JOptionPane.showMessageDialog(null, "Cedula no valida", "ERROR", JOptionPane.ERROR_MESSAGE);
                    return null;
                }
            }
            celular = txtCelular.getText().toUpperCase();
            direccion = txtDireccion.getText().toUpperCase();
        }
        g = cmbGenero.getSelectedItem().toString().charAt(0);
        System.out.println(g);
        Representantes repre = new Representantes(nombre, apellidos, identificacion, celular, g, direccion);
        return repre;
    }
    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed

        try {
            secretaria.guardarRepresentante(this.retorR());
            limpiar();
            JOptionPane.showMessageDialog(this, "Creado con exito");
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(this, "Fallo al crear");
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        limpiar();
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnAtrasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAtrasActionPerformed
        this.setVisible(false);
    }//GEN-LAST:event_btnAtrasActionPerformed
    public DefaultTableModel cargarTabal() throws PosicionException {
        DefaultTableModel model = new DefaultTableModel();
        model.addColumn("Nombre");
        model.addColumn("Apellido");
        model.addColumn("Telefono");
        model.addColumn("Genero");
        model.addColumn("Direccion");

//        ListaEnlazada<Representantes> lP;
        if ("Identificacion".equalsIgnoreCase(jComboBox1.getSelectedItem().toString())) {
            lP = secretaria.busacarRepresentantes(this.txtBuscar.getText(), "identificacion", false);
        } else {
            lP = secretaria.busacarRepresentantes(this.txtBuscar.getText(), "id_representante", true);
        }

        String datos[] = new String[5];
        for (int i = 0; i < lP.getSize(); i++) {
            datos[0] = lP.obtenerDato(i).getNombres();
            datos[1] = lP.obtenerDato(i).getApellidos();
            datos[2] = String.valueOf(lP.obtenerDato(i).getCelular());
            datos[3] = String.valueOf(lP.obtenerDato(i).getGenero());
            datos[4] = lP.obtenerDato(i).getDireccion();
            model.addRow(datos);
        }
        return model;
    }
    private void btnBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBuscarActionPerformed
        if (txtBuscar.getText().isEmpty()) {
            JOptionPane.showMessageDialog(null, "Campo Buscar Vacío", "ERROR", JOptionPane.ERROR_MESSAGE);
        } else {
            try {
                tblRepresentante.setModel(this.cargarTabal());
            } catch (PosicionException ex) {
                Logger.getLogger(FrmRepresentante.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }//GEN-LAST:event_btnBuscarActionPerformed

    private void cmdCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdCerrarActionPerformed
        System.exit(0);
    }//GEN-LAST:event_cmdCerrarActionPerformed

    private void btnEditarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnEditarActionPerformed
        // TODO add your handling code here:
        verificarEditar();

        try {
            // String nombre,String apellido,String telefono,char genero,String direccion,String correo,String especialidad,String cedula
            //  System.out.println(txtNombre.getText()+txtApellido.getText()+txtCelular.getText()+jComboBox2.getSelectedItem().toString().charAt(0)+ txtDireccion.getText()+txtCorreo.getText()+ txtEspecialidad.getText() +lP.obtenerDato(0).getId_profesor());

            secretaria.updateRepresentante(txtNombre.getText(), txtApellido.getText(), txtCelular.getText(), cmbGenero.getSelectedItem().toString().charAt(0), txtDireccion.getText(), lP.obtenerDato(0).getIdentificacion());
            //System.out.println(txtNombre.getText()+txtApellido.getText()+txtCelular.getText()+jComboBox2.getSelectedItem().toString().charAt(0)+ txtDireccion.getText()+txtCorreo.getText()+ txtEspecialidad.getText() +lP.obtenerDato(0).getId_profesor());
        } catch (PosicionException ex) {
            Logger.getLogger(FrmRepresentante.class.getName()).log(Level.SEVERE, null, ex);

        } catch (Exception ex) {
            Logger.getLogger(FrmRepresentante.class.getName()).log(Level.SEVERE, null, ex);
        }

    }//GEN-LAST:event_btnEditarActionPerformed

    private void tblRepresentanteMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tblRepresentanteMouseClicked
        // TODO add your handling code here:

        int fila = tblRepresentante.rowAtPoint(evt.getPoint());
        this.txtNombre.setText(String.valueOf(tblRepresentante.getValueAt(fila, 0)));
        this.txtApellido.setText(String.valueOf(tblRepresentante.getValueAt(fila, 1)));
        this.txtCelular.setText(String.valueOf(tblRepresentante.getValueAt(fila, 2)));
        int count;
        if ("M".equalsIgnoreCase(this.tblRepresentante.getValueAt(fila, 3).toString())) {
            count = 0;
        } else if ("F".equalsIgnoreCase(this.tblRepresentante.getValueAt(fila, 3).toString())) {
            count = 1;
        } else {
            count = 2;
        }
        this.cmbGenero.setSelectedIndex(count);
        this.txtDireccion.setText(String.valueOf(tblRepresentante.getValueAt(fila, 4)));
        txtIdentificacion.setEnabled(false);
    }//GEN-LAST:event_tblRepresentanteMouseClicked

    private void txtNombreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtNombreActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtNombreActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmRepresentante.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmRepresentante.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmRepresentante.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmRepresentante.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FrmRepresentante().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAtras;
    private javax.swing.JButton btnBuscar;
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnEditar;
    private javax.swing.JComboBox<String> cmbGenero;
    private javax.swing.JButton cmdCerrar;
    private javax.swing.JButton jButton1;
    private javax.swing.JComboBox<String> jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable tblRepresentante;
    private javax.swing.JTextField txtApellido;
    private javax.swing.JTextField txtBuscar;
    private javax.swing.JTextField txtCelular;
    private javax.swing.JTextField txtDireccion;
    private javax.swing.JTextField txtIdentificacion;
    private javax.swing.JTextField txtNombre;
    // End of variables declaration//GEN-END:variables
}
